Get user's vaults positions
curl --request GET \
--url https://points.mellow.finance/v1/users/{user_address}import requests
url = "https://points.mellow.finance/v1/users/{user_address}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://points.mellow.finance/v1/users/{user_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://points.mellow.finance/v1/users/{user_address}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://points.mellow.finance/v1/users/{user_address}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://points.mellow.finance/v1/users/{user_address}")
.asString();require 'uri'
require 'net/http'
url = URI("https://points.mellow.finance/v1/users/{user_address}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"chain_id": 1,
"user_address": "0x7F43fDe12A40dE708d908Fb3b9BFB8540d9Ce444",
"user_mellow_points": "0",
"user_symbiotic_points": "0",
"user_referal_points": "0",
"user_vault_balance": 10000000000000,
"timestamp": 1737151835,
"vault_address": "0x7F43fDe12A40dE708d908Fb3b9BFB8540d9Ce444"
}
]Internal server errorAPI Reference
Get user's vaults positions
Retrieves detailed information about a specific user’s positions across all Mellow Protocol vaults. This includes their liquidity provisions, earned profits, and current holdings as a Liquidity Provider.
GET
/
v1
/
users
/
{user_address}
Get user's vaults positions
curl --request GET \
--url https://points.mellow.finance/v1/users/{user_address}import requests
url = "https://points.mellow.finance/v1/users/{user_address}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://points.mellow.finance/v1/users/{user_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://points.mellow.finance/v1/users/{user_address}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://points.mellow.finance/v1/users/{user_address}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://points.mellow.finance/v1/users/{user_address}")
.asString();require 'uri'
require 'net/http'
url = URI("https://points.mellow.finance/v1/users/{user_address}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"chain_id": 1,
"user_address": "0x7F43fDe12A40dE708d908Fb3b9BFB8540d9Ce444",
"user_mellow_points": "0",
"user_symbiotic_points": "0",
"user_referal_points": "0",
"user_vault_balance": 10000000000000,
"timestamp": 1737151835,
"vault_address": "0x7F43fDe12A40dE708d908Fb3b9BFB8540d9Ce444"
}
]Internal server errorPath Parameters
Ethereum address of the user (must be a valid Ethereum address)
Pattern:
^0x[a-fA-F0-9]{40}$Response
Successful response containing user's positions across all vaults
The blockchain network ID where the vault is deployed
The Ethereum address of the user
Points earned by the user in the Mellow protocol
Points earned by the user in the Symbiotic protocol
Points earned by the user through referrals
User's balance in the vault in smallest units
Unix timestamp of when the data was last updated
The smart contract address of the vault